/* C code that implements Window.initIDs */
jfieldID FID_Window_handle;
jfieldID FID_Window_length;
jfieldID FID_Window_width;

JNIEXPORT void JNICALL
Java_Window_initIDs(JNIEnv *env, jclass classWindow)
{
    FID_Window_handle = (*env)->GetFieldID(env, classWindow, "handle", "J");
    if (FID_Window_handle == NULL) { /* important check. */
	return; /* error occurred. */
    }

    FID_Window_length = (*env)->GetFieldID(env, classWindow, "length", "I");
    if (FID_Window_length == NULL) { /* important check. */
	return; /* error occurred. */
    }

    FID_Window_width = (*env)->GetFieldID(env, classWindow, "width", "I");
    /* no checks necessary; we are about to return anyway */
}

